#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/animation/reset.rb'
# =========================================================================== #
module AsciiParadise

class Animation < Base # === AsciiParadise::Animation

  # ========================================================================= #
  # === reset
  # ========================================================================= #
  def reset
    super()
    # ======================================================================= #
    # === @dataset
    #
    # @dataset will be nil on startup, but will then, lateron, become an
    # Array if the animated ASCII dataset has been found.
    # ======================================================================= #
    @dataset = nil
    # ======================================================================= #
    # Set a default delay on startup.
    # ======================================================================= #
    set_delay
    # ======================================================================= #
    # Set the default colour in use by this class.
    # ======================================================================= #
    set_use_this_colour
    # ======================================================================= #
    # Determine how many times to run by default.
    # ======================================================================= #
    set_run_n_times
    # ======================================================================= #
    # === @do_clear
    #
    # If the next instance variable is set to true, then we will run
    # "clear". By default this is the case.
    # ======================================================================= #
    @do_clear = true  
    # ======================================================================= #
    # === @use_rainbow_colours
    #
    # Whether to use the rainbow-colours on every individual ASCII frame
    # of an animated ASCII "picture".
    #
    # By default this is not used; the user has to specifically select
    # that option if wanted.
    # ======================================================================= #
    @use_rainbow_colours = false
    # ======================================================================= #
    # === @use_disco_inferno
    #
    # Disco-inferno mode means to colourize every frame in a new colour.
    # ======================================================================= #
    @use_disco_inferno = false
    # ======================================================================= #
    # === @use_colour_spray
    #
    # If @use_colour_spray is set to true then the frames will show
    # a new, random colour AFTER every FULL iteration. This is different
    # to the disco-inferno mode, where colours are changed AFTER
    # every frame already.
    # ======================================================================= #
    @use_colour_spray = false
  end

end; end