#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise:::AirplaneFight
#
# This ASCII-animation will show an airplane fight.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class AirplaneFight < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.250)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.AirplaneFight
# =========================================================================== #
def self.AirplaneFight
  AirplaneFight
end

# =========================================================================== #
# === AsciiParadise.airplane_fight
# =========================================================================== #
def self.airplane_fight(commandline_arguments = ARGV)
  AirplaneFight.new(commandline_arguments)
end; self.instance_eval { alias airplanefight airplane_fight } # === AirplaneFight

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.airplane_fight(ARGV) 
end # airplane_fight