#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise:::AirplaneOverForest
#
# This ASCII-animation will show an airplane over a forest.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class AirplaneOverForest < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.110)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.AirplaneOverForest
# =========================================================================== #
def self.AirplaneOverForest
  AirplaneOverForest
end

# =========================================================================== #
# === AsciiParadise.airplane_over_forest
# =========================================================================== #
def self.airplane_over_forest(commandline_arguments = ARGV)
  AirplaneOverForest.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.airplane_over_forest(ARGV) 
end # airplane_over_forest