#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise:::AnimatedClock
#
# This ASCII-animation will "show" an animated ... clock. Or more like
# glass marbles that hit one another.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class AnimatedClock < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.500)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.AnimatedClock
# =========================================================================== #
def self.AnimatedClock
  AnimatedClock
end

# =========================================================================== #
# === AsciiParadise.animated_clock
# =========================================================================== #
def self.animated_clock(commandline_arguments = ARGV)
  AnimatedClock.new(commandline_arguments)
end; self.instance_eval { alias animatedclock animated_clock } # === AsciiParadise.animatedclock

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.animated_clock(ARGV) 
end # animated_clock