#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise:::AnimatedDuck
#
# This ASCII-animation will show a duck.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class AnimatedDuck < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_delay(:default)
    run
  end

  # ========================================================================= #
  # === reset
  # ========================================================================= #
  def reset
    @counter = 1 # Counter.
  end

  # ========================================================================= #
  # === run
  # ========================================================================= #
  def run    
    loop {
      w = @counter & 1 == 1 ? 'v^':'^v'
      $> << "\e[2J\e[0;0H#{' '*10}_\n #{@counter&1==1?' '*7+'<':'Quack! >'}(*)____,\n#{' '*9}(` =~~/\n#{w*5}`---'#{w*4}"
      @counter += sleep(@delay) # Increment i.
    }
  end

end

# =========================================================================== #
# === AsciiParadise.animated_duck
# =========================================================================== #
def self.animated_duck
  AsciiParadise::AnimatedDuck.new
end; self.instance_eval { alias animatedduck animated_duck } # === AsciiParadise.animatedduck

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.animated_duck
end # animated_duck