#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::AntiAir
#
# This ASCII-animation will show an airplane that is getting show down.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class AntiAir < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_delay(0.110)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.AntiAir
# =========================================================================== #
def self.AntiAir
  AntiAir
end

# =========================================================================== #
# === AsciiParadise.anti_air
# =========================================================================== #
def self.anti_air(commandline_arguments = ARGV)
  AntiAir.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.anti_air(ARGV) 
end # anti_air