#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise:::Aquarium
#
# This ASCII-animation will show a weird aquarium.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Aquarium < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.270)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Aquarium
# =========================================================================== #
def self.Aquarium
  Aquarium
end

# =========================================================================== #
# === AsciiParadise.aquarium
# =========================================================================== #
def self.aquarium(commandline_arguments = ARGV)
  Aquarium.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.aquarium(ARGV) 
end # aquarium