#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise:::BabyDragon
#
# This ASCII-animation will show a fire-breathing baby dragon.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class BabyDragon < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.065)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.BabyDragon
# =========================================================================== #
def self.BabyDragon
  BabyDragon
end

# =========================================================================== #
# === AsciiParadise.baby_dragon
# =========================================================================== #
def self.baby_dragon(commandline_arguments = ARGV)
  BabyDragon.new(commandline_arguments)
end; self.instance_eval { alias babydragon baby_dragon } # === AsciiParadise.babydragon

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.baby_dragon
end # baby_dragon