#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise:::Backflip
#
# This ASCII-animation will show a person performing a backflip.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Backflip < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.160)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Backflip
# =========================================================================== #
def self.Backflip
  Backflip
end

# =========================================================================== #
# === AsciiParadise.backflip
# =========================================================================== #
def self.backflip(commandline_arguments = ARGV)
  Backflip.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.backflip(ARGV) 
end # backflip