#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise:::BallBouncesAgainstWall
#
# This ASCII-animation will show a ball that repeatedly bounces off
# from a wall.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class BallBouncesAgainstWall < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.150)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.BallBouncesAgainstWall
# =========================================================================== #
def self.BallBouncesAgainstWall
  BallBouncesAgainstWall
end

# =========================================================================== #
# === AsciiParadise.ball_bounces_against_wall
# =========================================================================== #
def self.ball_bounces_against_wall(commandline_arguments = ARGV)
  BallBouncesAgainstWall.new(commandline_arguments)
end; self.instance_eval { alias ballbouncesagainstwall ball_bounces_against_wall } # === AsciiParadise.ballbouncesagainstwall

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.ball_bounces_against_wall(ARGV) 
end # ball_bounces_against_wall