#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise:::BallFactory
#
# This ASCII-animation will show a ball factory.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class BallFactory < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.180)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.BallFactory
# =========================================================================== #
def self.BallFactory
  BallFactory
end

# =========================================================================== #
# === AsciiParadise.ball_factory
# =========================================================================== #
def self.ball_factory(commandline_arguments = ARGV)
  BallFactory.new(commandline_arguments)
end; self.instance_eval { alias ballfactory ball_factory } # === AsciiParadise.ballfactory

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.ball_factory(ARGV) 
end # ball_factory