#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise:::Basketball
#
# This ASCII-animation will show a person playing with a basketball.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Basketball < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.140)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Basketball
# =========================================================================== #
def self.Basketball
  Basketball
end

# =========================================================================== #
# === AsciiParadise.basketball
# =========================================================================== #
def self.basketball(commandline_arguments = ARGV)
  Basketball.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.basketball(ARGV) 
end # basketball