#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise:::BasketballGame
#
# This ASCII-animation will show two people playing with a basketball.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class BasketballGame < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.140)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.BasketballGame
# =========================================================================== #
def self.BasketballGame
  BasketballGame
end

# =========================================================================== #
# === AsciiParadise.basketball_game
# =========================================================================== #
def self.basketball_game(commandline_arguments = ARGV)
  BasketballGame.new(commandline_arguments)
end; self.instance_eval { alias basketballgame basketball_game } # === AsciiParadise.basketballgame

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.basketball_game(ARGV) 
end # basketball_game