#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise:::BikerAndSnail
#
# This ASCII-animation will show a biker jumping own a hill and
# evading a moving snail.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class BikerAndSnail < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.145)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.BikerAndSnail
# =========================================================================== #
def self.BikerAndSnail
  BikerAndSnail
end

# =========================================================================== #
# === AsciiParadise.biker_and_snail
# =========================================================================== #
def self.biker_and_snail(commandline_arguments = ARGV)
  BikerAndSnail.new(commandline_arguments)
end; self.instance_eval { alias bikerandsnail biker_and_snail } # === AsciiParadise.bikerandsnail

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.biker_and_snail(ARGV) 
end # biker_and_snail