#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise:::Bird
#
# This ASCII-animation will show a very small, well, bird.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Bird < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.100)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Bird
# =========================================================================== #
def self.Bird
  Bird
end

# =========================================================================== #
# === AsciiParadise.bird
# =========================================================================== #
def self.bird(commandline_arguments = ARGV)
  Bird.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.bird(ARGV) 
end # bird