#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise:::BirdAttack
#
# This ASCII-animation will show a bird dropping something on a person.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class BirdAttack < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.225)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.BirdAttack
# =========================================================================== #
def self.BirdAttack
  BirdAttack
end

# =========================================================================== #
# === AsciiParadise.bird_attack
# =========================================================================== #
def self.bird_attack(commandline_arguments = ARGV)
  BirdAttack.new(commandline_arguments)
end; self.instance_eval { alias birdattack bird_attack } # === AsciiParadise.birdattack

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.bird_attack(ARGV) 
end # bird_attack