#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise:::BlockBreaker
#
# This ASCII-animation will show the old block breaker game.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class BlockBreaker < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.200)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.BlockBreaker
# =========================================================================== #
def self.BlockBreaker
  BlockBreaker
end

# =========================================================================== #
# === AsciiParadise.block_breaker
# =========================================================================== #
def self.block_breaker(commandline_arguments = ARGV)
  BlockBreaker.new(commandline_arguments)
end; self.instance_eval { alias blockbreaker block_breaker } # === AsciiParadise.blockbreaker

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.block_breaker(ARGV) 
end # block_breaker