#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise:::BodyBuilders
#
# This ASCII-animation will show some body builders.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class BodyBuilders < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.135)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.BodyBuilders
# =========================================================================== #
def self.BodyBuilders
  BodyBuilders
end

# =========================================================================== #
# === AsciiParadise.body_builders
# =========================================================================== #
def self.body_builders(commandline_arguments = ARGV)
  BodyBuilders.new(commandline_arguments)
end; self.instance_eval { alias bodybuilders body_builders } # === AsciiParadise.bodybuilders

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.bodybuilders(ARGV) 
end # body_builders