#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise:::Boomerang
#
# This ASCII-animation will show a boomerang.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Boomerang < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.125)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Boomerang
# =========================================================================== #
def self.Boomerang
  Boomerang
end

# =========================================================================== #
# === AsciiParadise.boomerang
# =========================================================================== #
def self.boomerang(commandline_arguments = ARGV)
  Boomerang.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.boomerang(ARGV) 
end # boomerang