#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::BouncingBall
#
# This ASCII-animation will show a bouncing ball.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class BouncingBall < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.145)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.BouncingBall
# =========================================================================== #
def self.BouncingBall
  BouncingBall
end

# =========================================================================== #
# === AsciiParadise.bouncing_ball
# =========================================================================== #
def self.bouncing_ball(commandline_arguments = ARGV)
  BouncingBall.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.bouncing_ball(ARGV) 
end # bouncing_ball