#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::BouncyBall
#
# This ASCII-animation will show a bouncy ball.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class BouncyBall < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.150)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.BouncyBall
# =========================================================================== #
def self.BouncyBall
  BouncyBall
end

# =========================================================================== #
# === AsciiParadise.bouncy_ball
# =========================================================================== #
def self.bouncy_ball(commandline_arguments = ARGV)
  BouncyBall.new(commandline_arguments)
end; self.instance_eval { alias bouncyball bouncy_ball } # === AsciiParadise.bouncyball

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.bouncy_ball(ARGV) 
end # bouncy_ball