#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::BouncyExplodingBall
#
# This ASCII-animation will show a bouncy, exploding ball.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class BouncyExplodingBall < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.120)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.BouncyExplodingBall
# =========================================================================== #
def self.BouncyExplodingBall
  BouncyExplodingBall
end

# =========================================================================== #
# === AsciiParadise.bouncy_exploding_ball
# =========================================================================== #
def self.bouncy_exploding_ball(commandline_arguments = ARGV)
  BouncyExplodingBall.new(commandline_arguments)
end; self.instance_eval { alias bouncyexplodingball bouncy_exploding_ball } # === AsciiParadise.bouncyexplodingball

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.bouncy_exploding_ball(ARGV) 
end # bouncy_exploding_ball