#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::BreakingGlass
#
# This ASCII-animation will show a small dragon breathing a bubble.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class BreakingGlass < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.250)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.BreakingGlass
# =========================================================================== #
def self.BreakingGlass
  BreakingGlass
end

# =========================================================================== #
# === AsciiParadise.breaking_glass
# =========================================================================== #
def self.breaking_glass(commandline_arguments = ARGV)
  BreakingGlass.new(commandline_arguments)
end; self.instance_eval { alias breakingglass breaking_glass } # === AsciiParadise.breakingglass

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.breaking_glass(ARGV) 
end # breaking_glass