#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::BubbleDragon
#
# This ASCII-animation will show a small dragon breathing a bubble.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class BubbleDragon < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.175)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.BubbleDragon
# =========================================================================== #
def self.BubbleDragon
  BubbleDragon
end

# =========================================================================== #
# === AsciiParadise.bubble_dragon
# =========================================================================== #
def self.bubble_dragon(commandline_arguments = ARGV)
  BubbleDragon.new(commandline_arguments)
end; self.instance_eval { alias bubbledragon bubble_dragon } # === AsciiParadise.bubbledragon

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.bubble_dragon(ARGV) 
end # bubble_dragon