#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Bunnies
#
# This ASCII-animation will show two bunnies really liking one another.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Bunnies < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.20)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Bunnies
# =========================================================================== #
def self.Bunnies
  Bunnies
end

# =========================================================================== #
# === AsciiParadise.bunnies
# =========================================================================== #
def self.bunnies(commandline_arguments = ARGV)
  Bunnies.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.bunnies(ARGV)  
end # bunnies