#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Bunnycat
#
# This ASCII-animation will show a bunnycat.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Bunnycat < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.250)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Bunnycat
# =========================================================================== #
def self.Bunnycat
  Bunnycat
end

# =========================================================================== #
# === AsciiParadise.bunnycat
# =========================================================================== #
def self.bunnycat(commandline_arguments = ARGV)
  Bunnycat.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.bunnycat(ARGV)  
end # bunnycat