#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::CanadianFlag
#
# This ASCII-animation will show a waving canadian flag.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class CanadianFlag < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.320)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.CanadianFlag
# =========================================================================== #
def self.CanadianFlag
  CanadianFlag
end

# =========================================================================== #
# === AsciiParadise.canadian_flag
# =========================================================================== #
def self.canadian_flag(commandline_arguments = ARGV)
  CanadianFlag.new(commandline_arguments)
end; self.instance_eval { alias canadianflag canadian_flag } # === AsciiParadise.canadianflag

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.canadian_flag(ARGV) 
end # canadian_flag