#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::CarProduction
#
# This ASCII-animation will show a car produced in a factory.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class CarProduction < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.115)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.CarProduction
# =========================================================================== #
def self.CarProduction
  CarProduction
end

# =========================================================================== #
# === AsciiParadise.car_production
# =========================================================================== #
def self.car_production(commandline_arguments = ARGV)
  CarProduction.new(commandline_arguments)
end; self.instance_eval { alias carproduction car_production } # === AsciiParadise.carproduction

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.car_production(ARGV) 
end # car_production