#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::CatchTheBall
#
# This ASCII-animation will show two people catching a ball.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class CatchTheBall < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.190)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.CatchTheBall
# =========================================================================== #
def self.CatchTheBall
  CatchTheBall
end

# =========================================================================== #
# === AsciiParadise.catch_the_ball
# =========================================================================== #
def self.catch_the_ball(commandline_arguments = ARGV)
  CatchTheBall.new(commandline_arguments)
end; self.instance_eval { alias ball catch_the_ball } # === AsciiParadise.ball

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.catch_the_ball
end # catch_the_ball