#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Cigarette
#
# This ASCII-animation will show an animated cigarette.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Cigarette < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.350)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Cigarette
# =========================================================================== #
def self.Cigarette
  Cigarette
end

# =========================================================================== #
# === AsciiParadise.cigarette
# =========================================================================== #
def self.cigarette(commandline_arguments = ARGV)
  Cigarette.new(commandline_arguments)
end; self.instance_eval { alias animated_cigarette cigarette } # === AsciiParadise.animated_cigarette
     self.instance_eval { alias animatedcigarette  cigarette } # === AsciiParadise.animatedcigarette

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.cigarette(ARGV) 
end # cig