#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::CircleOfLife
#
# This ASCII-animation will show some dude running around and doing stuff.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class CircleOfLife < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.200)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.circle_of_life
# =========================================================================== #
def self.circle_of_life(commandline_arguments = ARGV)
  CircleOfLife.new(commandline_arguments)
end; self.instance_eval { alias circleoflife circle_of_life } # === AsciiParadise.circleoflife

# =========================================================================== #
# === AsciiParadise.CircleOfLife
# =========================================================================== #
def self.CircleOfLife
  CircleOfLife
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.circle_of_life(ARGV) 
end # circle_of_life