#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::CoinRoll
#
# This ASCII-animation will show a coin that is rolling downwards, in a
# game-like setting. 
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class CoinRoll < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.180)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.CoinRoll
# =========================================================================== #
def self.CoinRoll
  CoinRoll
end

# =========================================================================== #
# === AsciiParadise.coin_roll
# =========================================================================== #
def self.coin_roll(commandline_arguments = ARGV)
  CoinRoll.new(commandline_arguments)
end; self.instance_eval { alias coinroll coin_roll } # === AsciiParadise.coinroll

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.coin_roll(ARGV) 
end # coin_roll