#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::DigitalClock
#
# This ASCII-animation will show a "digital" clock.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class DigitalClock < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.250)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.DigitalClock
# =========================================================================== #
def self.DigitalClock
  DigitalClock
end

# =========================================================================== #
# === AsciiParadise.digital_clock
# =========================================================================== #
def self.digital_clock(commandline_arguments = ARGV)
  DigitalClock.new(commandline_arguments)
end; self.instance_eval { alias digitalclock digital_clock } # === AsciiParadise.digitalclock

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.digital_clock(ARGV) 
end # digital_clock