#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Diver
#
# This ASCII-animation will show a diver.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Diver < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.25)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Diver
# =========================================================================== #
def self.Diver
  Diver
end

# =========================================================================== #
# === AsciiParadise.diver
# =========================================================================== #
def self.diver(commandline_arguments = ARGV)
  Diver.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.diver(ARGV) 
end # diver