#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::DotFactory
#
# This ASCII-animation will show a dot factory, a factory that "makes"
# dots.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class DotFactory < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.180)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.DotFactory
# =========================================================================== #
def self.DotFactory
  DotFactory
end

# =========================================================================== #
# === AsciiParadise.dot_factory
# =========================================================================== #
def self.dot_factory(commandline_arguments = ARGV)
  DotFactory.new(commandline_arguments)
end; self.instance_eval { alias dotfactory dot_factory } # === AsciiParadise.dotfactory

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.dot_factory(ARGV) 
end # dot_factory