#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::DrivingCar
#
# This ASCII-animation will show a driving car.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class DrivingCar < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.08)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.DrivingCar
# =========================================================================== #
def self.DrivingCar
  DrivingCar
end

# =========================================================================== #
# === AsciiParadise.driving_car
# =========================================================================== #
def self.driving_car(commandline_arguments = ARGV)
  DrivingCar.new(commandline_arguments)
end; self.instance_eval { alias drivingcar driving_car } # === AsciiParadise.drivingcar

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.driving_car(ARGV) 
end # driving_car