#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Earth
#
# This ASCII-animation will show an animated earth.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Earth < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.215)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Earth
# =========================================================================== #
def self.Earth
  Earth
end

# =========================================================================== #
# === AsciiParadise.earth
# =========================================================================== #
def self.earth(i = ARGV)
  Earth.new(i)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.earth(ARGV)
end # earth