#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::EndlessMonkeyBars
#
# This ASCII-animation will show a monkey on endless monkey bars.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class EndlessMonkeyBars < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.200)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.EndlessMonkeyBars
# =========================================================================== #
def self.EndlessMonkeyBars
  EndlessMonkeyBars
end

# =========================================================================== #
# === AsciiParadise.endless_monkey_bars
# =========================================================================== #
def self.endless_monkey_bars(commandline_arguments = ARGV)
  EndlessMonkeyBars.new(commandline_arguments)
end; self.instance_eval { alias endlessmonkeybars endless_monkey_bars } # === AsciiParadise.endlessmonkeybars

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.endless_monkey_bars(ARGV) 
end # endless_monkey_bars