#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::EndlessRunner
#
# This ASCII-animation will show an endless runner, who just keeps on
# running and running and running ...
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class EndlessRunner < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.125)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.EndlessRunner
# =========================================================================== #
def self.EndlessRunner
  EndlessRunner
end

# =========================================================================== #
# === AsciiParadise.endless_runner
# =========================================================================== #
def self.endless_runner(commandline_arguments = ARGV)
  EndlessRunner.new(commandline_arguments)
end; self.instance_eval { alias endlessrunner endless_runner } # === AsciiParadise.endless_runner

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.endless_runner(ARGV) 
end # endless_runner