#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::ExplodingAlien
#
# This ASCII-animation will show an exploding alien.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class ExplodingAlien < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.115)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.ExplodingAlien
# =========================================================================== #
def self.ExplodingAlien
  ExplodingAlien
end

# =========================================================================== #
# === AsciiParadise.exploding_alien
# =========================================================================== #
def self.exploding_alien(commandline_arguments = ARGV)
  ExplodingAlien.new(commandline_arguments)
end; self.instance_eval { alias explodingalien exploding_alien } # === AsciiParadise.explodingalien

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.exploding_alien(ARGV)
end # exploding_alien