#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::ExplodingBubbles
#
# This ASCII-animation will show four exploding bubbles.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class ExplodingBubbles < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.160)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.ExplodingBubbles
# =========================================================================== #
def self.ExplodingBubbles
  ExplodingBubbles
end

# =========================================================================== #
# === AsciiParadise.exploding_bubbles
# =========================================================================== #
def self.exploding_bubbles(commandline_arguments = ARGV)
  ExplodingBubbles.new(commandline_arguments)
end; self.instance_eval { alias explodingbubbles exploding_bubbles } # === AsciiParadise.explodingbubbles

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.exploding_bubbles(ARGV) 
end # exploding_bubbles