#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::FireworkLauncher
#
# This ASCII-animation will show some eye wiggling.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class EyeWiggling < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.150)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.EyeWiggling
# =========================================================================== #
def self.EyeWiggling
  EyeWiggling
end

# =========================================================================== #
# === AsciiParadise.eye_wiggling
# =========================================================================== #
def self.eye_wiggling(commandline_arguments = ARGV)
  EyeWiggling.new(commandline_arguments)
end; self.instance_eval { alias eyewiggling eye_wiggling } # === AsciiParadise.eyewiggling

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.eye_wiggling(ARGV) 
end # eye_wiggling