#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::FireworkLauncher
#
# This ASCII-animation will show a fire that eventually harms a walking
# person.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Fire < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.160)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Fire
# =========================================================================== #
def self.Fire
  Fire
end

# =========================================================================== #
# === AsciiParadise.fire
# =========================================================================== #
def self.fire(commandline_arguments = ARGV)
  Fire.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.fire(ARGV) 
end # fire