#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::FireworkLauncher
#
# This ASCII-animation will show a firework clock.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class FireworkClock < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.150)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.FireworkClock
# =========================================================================== #
def self.FireworkClock
  FireworkClock
end

# =========================================================================== #
# === AsciiParadise.firework_clock
# =========================================================================== #
def self.firework_clock(commandline_arguments = ARGV)
  FireworkClock.new(commandline_arguments)
end; self.instance_eval { alias fireworkclock firework_clock } # === AsciiParadise.fireworkclock

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.firework_clock(ARGV) 
end # firework_clock