#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Fireworks
#
# This ASCII-animation will show some ASCII fireworks.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Fireworks < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.25)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Fireworks
# =========================================================================== #
def self.Fireworks
  Fireworks
end

# =========================================================================== #
# === AsciiParadise.fireworks
# =========================================================================== #
def self.fireworks(commandline_arguments = ARGV)
  Fireworks.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.fireworks(ARGV) 
end # fireworks