#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::FlameThrower
#
# This ASCII-animation will show a nasty flame thrower in use.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class FlameThrower < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.085)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.FlameThrower
# =========================================================================== #
def self.FlameThrower
  FlameThrower
end

# =========================================================================== #
# === AsciiParadise.flame_thrower
# =========================================================================== #
def self.flame_thrower(commandline_arguments = ARGV)
  FlameThrower.new(commandline_arguments)
end; self.instance_eval { alias flamethrower flame_thrower } # === AsciiParadise.flamethrower

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.flame_thrower(ARGV) 
end # flame_thrower