#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::FramerateWalking
#
# This ASCII-animation will show two people walking at different
# speeds ("framerates").
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class FramerateWalking < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.135)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.FramerateWalking
# =========================================================================== #
def self.FramerateWalking
  FramerateWalking
end

# =========================================================================== #
# === AsciiParadise.framerate_walking
# =========================================================================== #
def self.framerate_walking(commandline_arguments = ARGV)
  FramerateWalking.new(commandline_arguments)
end; self.instance_eval { alias frameratewalking framerate_walking } # === AsciiParadise.frameratewalking

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.framerate_walking(ARGV) 
end # framerate_walking