#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::FriendlyMonkey
#
# This ASCII-animation will show a winking, friendly monkey.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class FriendlyMonkey < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.200)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.FriendlyMonkey
# =========================================================================== #
def self.FriendlyMonkey
  FriendlyMonkey
end

# =========================================================================== #
# === AsciiParadise.friendly_monkey
# =========================================================================== #
def self.friendly_monkey(commandline_arguments = ARGV)
  FriendlyMonkey.new(commandline_arguments)
end; self.instance_eval { alias friendlymonkey friendly_monkey } # === AsciiParadise.friendlymonkey

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.friendly_monkey(ARGV) 
end # friendly_monkey