#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Gargoyle
#
# This ASCII-animation will show an an ASCII gargoyle.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Gargoyle < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.120)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Gargoyle
# =========================================================================== #
def self.Gargoyle
  Gargoyle
end

# =========================================================================== #
# === AsciiParadise.gargoyle
# =========================================================================== #
def self.gargoyle(commandline_arguments = ARGV)
  Gargoyle.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.gargoyle(ARGV) 
end # gargoyle