#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::GoodMorning
#
# This ASCII-animation will show a sun in front of a window.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class GoodMorning < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.300)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.GoodMorning
# =========================================================================== #
def self.GoodMorning
  GoodMorning
end

# =========================================================================== #
# === AsciiParadise.good_morning
# =========================================================================== #
def self.good_morning(commandline_arguments = ARGV)
  GoodMorning.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.good_morning(ARGV) 
end # good_morning