#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Hadouken
#
# This ASCII-animation will show an animated hadouken attack.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Hadouken < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.090)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Hadouken
# =========================================================================== #
def self.Hadouken
  Hadouken
end

# =========================================================================== #
# === AsciiParadise.hadouken
# =========================================================================== #
def self.hadouken(commandline_arguments = ARGV)
  Hadouken.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.hadouken(ARGV) 
end # hadouken