#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Hourglass
#
# This ASCII-animation will show an animated hourglass.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Hourglass < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.175)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Hourglass
# =========================================================================== #
def self.Hourglass
  Hourglass
end

# =========================================================================== #
# === AsciiParadise.hourglass
# =========================================================================== #
def self.hourglass(commandline_arguments = ARGV)
  Hourglass.new(commandline_arguments)
end; self.instance_eval { alias ascii_hourglass hourglass } # === AsciiParadise.ascii_hourglass

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.hourglass(ARGV) 
end # hourglass