#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::HumanFactory
#
# This ASCII-animation will show a "human factory", that is, a dude
# being transported through a factory.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class HumanFactory < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.155)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.HumanFactory
# =========================================================================== #
def self.HumanFactory
  HumanFactory
end

# =========================================================================== #
# === AsciiParadise.human_factory
# =========================================================================== #
def self.human_factory(commandline_arguments = ARGV)
  HumanFactory.new(commandline_arguments)
end; self.instance_eval { alias humanfactory human_factory } # === AsciiParadise.humanfactory

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.human_factory(ARGV) 
end # human_factory