#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Jello
#
# This ASCII-animation will show a shivering jello.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Jello < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.145)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Jello
# =========================================================================== #
def self.Jello
  Jello
end

# =========================================================================== #
# === AsciiParadise.jello
# =========================================================================== #
def self.jello(commandline_arguments = ARGV)
  Jello.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.jello(ARGV) 
end # jello