#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Juggling
#
# This ASCII-animation will show a juggling person.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Juggling < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.180)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Juggling
# =========================================================================== #
def self.Juggling
  Juggling
end

# =========================================================================== #
# === AsciiParadise.juggling
# =========================================================================== #
def self.juggling(commandline_arguments = ARGV)
  Juggling.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.juggling(ARGV) 
end # juggling