#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::JumpRope
#
# This ASCII-animation will show one or several people jumping over a rope.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class JumpRope < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(:quite_a_bit_faster)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.JumpRope
# =========================================================================== #
def self.JumpRope
  JumpRope
end

# =========================================================================== #
# === AsciiParadise.jump_rope
# =========================================================================== #
def self.jump_rope(commandline_arguments = ARGV)
  JumpRope.new(commandline_arguments)
end; self.instance_eval { alias jumprope jump_rope } # === AsciiParadise.jumprope

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.jump_rope(ARGV) 
end # jump_rope