#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::JumpingPig
#
# This ASCII-animation will show a jumping pig.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class JumpingPig < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.080)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end
end

# =========================================================================== #
# === AsciiParadise.JumpingPig
# =========================================================================== #
def self.JumpingPig
  JumpingPig
end

# =========================================================================== #
# === AsciiParadise.jumping_pig
# =========================================================================== #
def self.jumping_pig(commandline_arguments = ARGV)
  JumpingPig.new(commandline_arguments)
end; self.instance_eval { alias jumpingpig jumping_pig } # === AsciiParadise.jumpingpig

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.jumping_pig(ARGV) 
end # jumping_pig