#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::LaserClock
#
# This ASCII-animation will show a laser clock.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class LaserClock < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.08)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.LaserClock
# =========================================================================== #
def self.LaserClock
  LaserClock
end

# =========================================================================== #
# === AsciiParadise.last_clock
# =========================================================================== #
def self.laser_clock(commandline_arguments = ARGV)
  LaserClock.new(commandline_arguments)
end; self.instance_eval { alias laserclock laser_clock } # === AsciiParadise.laserclock

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.laser_clock(ARGV) 
end # laser_clock