#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::LightningBolt
#
# This ASCII-animation will show a lightning bold hitting a box.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class LightningBolt < Animation

  # ========================================================================= #
  # === N_ITERATIONS_ALLOWED
  # ========================================================================= #
  N_ITERATIONS_ALLOWED = 50

  # ========================================================================= #
  # === DELAY
  #
  # Specify here how "fast" the swimming person should be.
  # ========================================================================= #
  DELAY = 0.200

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(N_ITERATIONS_ALLOWED)
    set_delay(DELAY)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.LightningBolt
# =========================================================================== #
def self.LightningBolt
  LightningBolt
end

# =========================================================================== #
# === AsciiParadise.lightning_bolt
# =========================================================================== #
def self.lightning_bolt(commandline_arguments = ARGV)
  LightningBolt.new(commandline_arguments)
end; self.instance_eval { alias lightningbolt lightning_bolt } # === AsciiParadise.lightningbolt

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.lightning_bolt(ARGV) 
end # lightning_bolt