#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::LoadingDots
#
# This ASCII-animation will show some dots
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class LoadingDots < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.160)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.LoadingDots
# =========================================================================== #
def self.LoadingDots
  LoadingDots
end

# =========================================================================== #
# === AsciiParadise.loading_dots
# =========================================================================== #
def self.loading_dots(commandline_arguments = ARGV)
  LoadingDots.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.loading_dots(ARGV) 
end # loading_dots