#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Macarena
#
# This ASCII-animation will show the macarena dance.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Macarena < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.375)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Macarena
# =========================================================================== #
def self.Macarena
  Macarena
end

# =========================================================================== #
# === AsciiParadise.macarena
# =========================================================================== #
def self.macarena(commandline_arguments = ARGV)
  Macarena.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.macarena(ARGV) 
end # macarena