#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Moth
#
# This ASCII-animation will show a moth flying towards a swinging lamp.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Moth < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.18)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Moth
# =========================================================================== #
def self.Moth
  Moth
end

# =========================================================================== #
# === AsciiParadise.moth
# =========================================================================== #
def self.moth(commandline_arguments = ARGV)
  Moth.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.moth(ARGV)
end # moth