#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::NeverendingStaircase
#
# This ASCII-animation will show a person trying to walk up a neverending
# staircase.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class NeverendingStaircase < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_delay(0.20)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.NeverendingStaircase
# =========================================================================== #
def self.NeverendingStaircase
  NeverendingStaircase
end

# =========================================================================== #
# === AsciiParadise.neverending_staircase
# =========================================================================== #
def self.neverending_staircase(commandline_arguments = ARGV)
  NeverendingStaircase.new(commandline_arguments)
end; self.instance_eval { alias neverendingstaircase neverending_staircase } # === AsciiParadise.neverendingstaircase

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.neverending_staircase(ARGV) 
end # neverending_staircase