#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::OneDestroyer
#
# This ASCII-animation will show a '1' that is destroyed.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class OneDestroyer < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.080)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.OneDestroyer
# =========================================================================== #
def self.OneDestroyer
  OneDestroyer
end

# =========================================================================== #
# === AsciiParadise.one_destroyer
# =========================================================================== #
def self.one_destroyer(commandline_arguments = ARGV)
  OneDestroyer.new(commandline_arguments)
end; self.instance_eval { alias onedestroyer one_destroyer } # === AsciiParadise.onedestroyer

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.one_destroyer(ARGV) 
end # one_destroyer