#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::ParachuteJump
#
# This ASCII-animation will show parachute jumping.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class ParachuteJump < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.150)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.ParachuteJump
# =========================================================================== #
def self.ParachuteJump
  ParachuteJump
end

# =========================================================================== #
# === AsciiParadise.parachute_jump
# =========================================================================== #
def self.parachute_jump(commandline_arguments = ARGV)
  ParachuteJump.new(commandline_arguments)
end; self.instance_eval { alias parachutejump parachute_jump } # === AsciiParadise.parachutejump

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.parachute_jump(ARGV)
end # parachute_jump