#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Phone
#
# This ASCII-animation will show a phone, showing some flickering on its
# screen.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Phone < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.150)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Phone
# =========================================================================== #
def self.Phone
  Phone
end

# =========================================================================== #
# === AsciiParadise.phone
# =========================================================================== #
def self.phone(commandline_arguments = ARGV)
  Phone.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.phone(ARGV) 
end # ascii_phone