#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::PlantingAForest
#
# This ASCII-animation will show a tree making another tree.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class PlantingAForest < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.200)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.PlantingAForest
# =========================================================================== #
def self.PlantingAForest
  PlantingAForest
end

# =========================================================================== #
# === AsciiParadise.planting_a_forest
# =========================================================================== #
def self.planting_a_forest(commandline_arguments = ARGV)
  PlantingAForest.new(commandline_arguments)
end; self.instance_eval { alias plantingaforest planting_a_forest } # === AsciiParadise.plantingaforest

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.planting_a_forest(ARGV) 
end # planting_a_forest