#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::PullRope
#
# This ASCII-animation will show a person pulling a rope.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class PullRope < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.175)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.PullRope
# =========================================================================== #
def self.PullRope
  PullRope
end

# =========================================================================== #
# === AsciiParadise.pull_rope
# =========================================================================== #
def self.pull_rope(commandline_arguments = ARGV)
  PullRope.new(commandline_arguments)
end; self.instance_eval { alias pullrope pull_rope } # === AsciiParadise.pullrope

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.pull_rope(ARGV) 
end # pull_rope