#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Raindrop
#
# This ASCII-animation will show a single raindrop.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Raindrop < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.150)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Raindrop
# =========================================================================== #
def self.Raindrop
  Raindrop
end

# =========================================================================== #
# === AsciiParadise.raindrop
# =========================================================================== #
def self.raindrop(commandline_arguments = ARGV)
  Raindrop.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.raindrop(ARGV) 
end # raindrop