#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Raining
#
# This ASCII-animation will show some rain.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Raining < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.125)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Raining
# =========================================================================== #
def self.Raining
  Raining
end

# =========================================================================== #
# === AsciiParadise.raining
# =========================================================================== #
def self.raining(commandline_arguments = ARGV)
  Raining.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.raining(ARGV) 
end # raining