#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Reflection
#
# This ASCII-animation will show a "laser" beam that gets reflected.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Reflection < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.075)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Reflection
# =========================================================================== #
def self.Reflection
  Reflection
end

# =========================================================================== #
# === AsciiParadise.reflection
# =========================================================================== #
def self.reflection(commandline_arguments = ARGV)
  Reflection.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.reflection(ARGV) 
end # reflection