#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::RidingADuck
#
# This ASCII-animation will show a person riding on a giant rubberduck.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class RidingADuck < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.125)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.RidingADuck
# =========================================================================== #
def self.RidingADuck
  RidingADuck
end

# =========================================================================== #
# === AsciiParadise.riding_a_duck
# =========================================================================== #
def self.riding_a_duck(commandline_arguments = ARGV)
  RidingADuck.new(commandline_arguments)
end; self.instance_eval { alias ridingaduck riding_a_duck } # === AsciiParadise.ridingaduck

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.riding_a_duck(ARGV) 
end # riding_a_duck