#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::RotatingCube
#
# This ASCII-animation will show a rotating 3D cube.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class RotatingCube < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.235)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.RotatingCube
# =========================================================================== #
def self.RotatingCube
  RotatingCube
end

# =========================================================================== #
# === AsciiParadise.rotating_cube
# =========================================================================== #
def self.rotating_cube(commandline_arguments = ARGV)
  RotatingCube.new(commandline_arguments)
end; self.instance_eval { alias rotatingcube rotating_cube } # === AsciiParadise.rotatingcube

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.rotating_cube(ARGV) 
end # rotating_cube