#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::RubberDuck
#
# This ASCII-animation will show a rubber duck.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class RubberDuck < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.150)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.RubberDuck
# =========================================================================== #
def self.RubberDuck
  RubberDuck
end

# =========================================================================== #
# === AsciiParadise.rubber_duck
# =========================================================================== #
def self.rubber_duck(commandline_arguments = ARGV)
  RubberDuck.new(commandline_arguments)
end; self.instance_eval { alias rubberduck rubber_duck } # === AsciiParadise.rubberduck

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.rubber_duck(ARGV) 
end # rubber_duck