#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::RunningMan
#
# This ASCII-animation will show a running man.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class RunningMan < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.15)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.RunningMan
# =========================================================================== #
def self.RunningMan
  RunningMan
end

# =========================================================================== #
# === AsciiParadise.running_man
# =========================================================================== #
def self.running_man(commandline_arguments = ARGV)
  RunningMan.new(commandline_arguments)
end; self.instance_eval { alias runningman running_man } # === AsciiParadise.runningman

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.running_man  
end # running_man