#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::SailingBoat
#
# This ASCII-animation will show a sailing boat.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class SailingBoat < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.400)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.SailingBoat
# =========================================================================== #
def self.SailingBoat
  SailingBoat
end

# =========================================================================== #
# === AsciiParadise.sailing_boat
# =========================================================================== #
def self.sailing_boat(commandline_arguments = ARGV)
  SailingBoat.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.sailing_boat(ARGV) 
end # sailing_boat