#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::SandClock
#
# This ASCII-animation will show a larger sand clock.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class SandClock < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.120)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.SandClock
# =========================================================================== #
def self.SandClock
  SandClock
end

# =========================================================================== #
# === AsciiParadise.sand_clock
# =========================================================================== #
def self.sand_clock(commandline_arguments = ARGV)
  SandClock.new(commandline_arguments)
end; self.instance_eval { alias sandclock sand_clock } # === AsciiParadise.sandclock

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.sand_clock(ARGV) 
end # sandclock