#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Seesaw
#
# This ASCII-animation will show a simple ASCII seesaw in action.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Seesaw < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.185)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Seesaw
# =========================================================================== #
def self.Seesaw
  Seesaw
end

# =========================================================================== #
# === AsciiParadise.seesaw
# =========================================================================== #
def self.seesaw(commandline_arguments = ARGV)
  Seesaw.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.seesaw(ARGV) 
end # seesaw