#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::ShootingRange
#
# This ASCII-animation will show a shooting range.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class ShootingRange < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.115)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.ShootingRange
# =========================================================================== #
def self.ShootingRange
  ShootingRange
end

# =========================================================================== #
# === AsciiParadise.shooting_range
# =========================================================================== #
def self.shooting_range(commandline_arguments = ARGV)
  ShootingRange.new(commandline_arguments)
end; self.instance_eval { alias shootingrange shooting_range } # === AsciiParadise.shootingrange

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.shooting_range(ARGV)
end # shooting_range