#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Shotgun
#
# This ASCII-animation will show a guy with an oversized shotgun.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Shotgun < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.100)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Shotgun
# =========================================================================== #
def self.Shotgun
  Shotgun
end

# =========================================================================== #
# === AsciiParadise.shotgun
# =========================================================================== #
def self.shotgun(commandline_arguments = ARGV)
  Shotgun.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.shotgun(ARGV) 
end # shotgun