#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::SilentCity
#
# This ASCII-animation will show a fairly silent city.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class SilentCity < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.190)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.SilentCity
# =========================================================================== #
def self.SilentCity
  SilentCity
end

# =========================================================================== #
# === AsciiParadise.silent_city
# =========================================================================== #
def self.silent_city(commandline_arguments = ARGV)
  SilentCity.new(commandline_arguments)
end; self.instance_eval { alias silentcity silent_city } # === AsciiParadise.silent_city

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.silent_city(ARGV) 
end # silent_city