#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::SoccerInFrontOfAHouse
#
# This ASCII-animation will show two soccer kids playing in front of a
# house.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class SoccerInFrontOfAHouse < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.125)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.SoccerInFrontOfAHouse
# =========================================================================== #
def self.SoccerInFrontOfAHouse
  SoccerInFrontOfAHouse
end

# =========================================================================== #
# === AsciiParadise.SoccerInFrontOfAHouse
# =========================================================================== #
def self.soccer_in_front_of_a_house(commandline_arguments = ARGV)
  SoccerInFrontOfAHouse.new(commandline_arguments)
end; self.instance_eval { alias soccerinfrontofahouse soccer_in_front_of_a_house } # === AsciiParadise.soccerinfrontofahouse

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.soccer_in_front_of_a_house(ARGV) 
end # soccer_in_front_of_a_house