#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Spider
#
# This ASCII-animation will show a spider weaving its spiderweb.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Spider < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.30)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Spider
# =========================================================================== #
def self.Spider
  Spider
end

# =========================================================================== #
# === AsciiParadise.spider
# =========================================================================== #
def self.spider(commandline_arguments = ARGV)
  Spider.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.spider(ARGV) 
end # ascii_spider