#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::StarTrek
#
# This ASCII-animation will show the S.S. Enterprise from Star Trek
# firing a torpedo.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class StarTrek < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.055)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.StarTrek
# =========================================================================== #
def self.StarTrek
  StarTrek
end

# =========================================================================== #
# === AsciiParadise.star_trek
# =========================================================================== #
def self.star_trek(commandline_arguments = ARGV)
  StarTrek.new(commandline_arguments)
end; self.instance_eval { alias startrek star_trek } # === AsciiParadise.startrek

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.star_trek(ARGV)
end # star_trek