#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::StationTraffic
#
# This ASCII-animation will show an animated train station.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class StationTraffic < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(:slightly_faster)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.StationTraffic
# =========================================================================== #
def self.StationTraffic
  StationTraffic
end

# =========================================================================== #
# === AsciiParadise.station_traffic
# =========================================================================== #
def self.station_traffic(commandline_arguments = ARGV)
  StationTraffic.new(commandline_arguments)
end; self.instance_eval { alias stationtraffic station_traffic } # === AsciiParadise.stationtraffic

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.station_traffic(ARGV) 
end # station_traffic