#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Steamer
#
# This ASCII-animation will show an animated steamer.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Steamer < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.175)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Steamer
# =========================================================================== #
def self.Steamer
  Steamer
end

# =========================================================================== #
# === AsciiParadise.steamer
# =========================================================================== #
def self.steamer(commandline_arguments = ARGV)
  Steamer.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.steamer(ARGV) 
end # Steamer