#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::SwimmingLane
#
# This ASCII-animation will show a person swimming in a lane.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class SwimmingLane < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(30)
    set_delay(0.210)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.SwimmingLane
# =========================================================================== #
def self.SwimmingLane
  SwimmingLane
end

# =========================================================================== #
# === AsciiParadise.swimming_lane
# =========================================================================== #
def self.swimming_lane(commandline_arguments = ARGV)
  SwimmingLane.new(commandline_arguments)
end; self.instance_eval { alias swimminglane swimming_lane } # === AsciiParadise.swimminglane

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.swimming_lane(ARGV) 
end # swimming_lane