#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::TableTennis
#
# This ASCII-animation will show a game of table tennis.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class TableTennis < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_delay(0.150)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.TableTennis
# =========================================================================== #
def self.TableTennis
  TableTennis
end

# =========================================================================== #
# === AsciiParadise.table_tennis
# =========================================================================== #
def self.table_tennis(commandline_arguments = ARGV)
  TableTennis.new(commandline_arguments)
end; self.instance_eval { alias tabletennis table_tennis } # === AsciiParadise.tabletennis

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.table_tennis(ARGV) 
end # tabletennis