#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::TearsOfIce
#
# This ASCII-animation will show a crying woman, her tears dropping into
# the ocean. This is fairly fictitious, though.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class TearsOfIce < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_delay(0.220)
    run_n_times(100)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.TearsOfIce
# =========================================================================== #
def self.TearsOfIce
  TearsOfIce
end

# =========================================================================== #
# === AsciiParadise.tears_of_ice
# =========================================================================== #
def self.tears_of_ice(commandline_arguments = ARGV)
  TearsOfIce.new(commandline_arguments)
end; self.instance_eval { alias tearsofice tears_of_ice } # === AsciiParadise.tearsofice

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.tears_of_ice(ARGV) 
end # TearsOfIce