#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Tetris
#
# This ASCII-animation will show a game of tetris.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Tetris < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.175)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Tetris
# =========================================================================== #
def self.Tetris
  Tetris
end

# =========================================================================== #
# === AsciiParadise.tetris
# =========================================================================== #
def self.tetris(commandline_arguments = ARGV)
  Tetris.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.tetris(ARGV) 
end # tetris