#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::ThreadAndBall
#
# This ASCII-animation will show some ball, with an attached thread,
# that will move about in an odd manner.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class ThreadAndBall < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_delay(0.150)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.ThreadAndBall
# =========================================================================== #
def self.ThreadAndBall
  ThreadAndBall
end

# =========================================================================== #
# === AsciiParadise.thread_and_ball
# =========================================================================== #
def self.thread_and_ball(commandline_arguments)
  ThreadAndBall.new(commandline_arguments)
end; self.instance_eval { alias threadandball thread_and_ball } # === AsciiParadise.threadandball

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.thread_and_ball(ARGV) 
end # ThreadAndBall