#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Trampoline
#
# This ASCII-animation will show a person jumping on a trampoline.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Trampoline < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_run_n_times(100)
    set_delay(0.225)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Trampoline
# =========================================================================== #
def self.Trampoline
  Trampoline
end

# =========================================================================== #
# === AsciiParadise.trampoline
# =========================================================================== #
def self.trampoline(commandline_arguments = ARGV)
  Trampoline.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.trampoline(ARGV) 
end # trampoline