#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Turtle
#
# This ASCII-animation will show a turtle.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Turtle < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    run_n_times(100)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Turtle
# =========================================================================== #
def self.Turtle
  Turtle
end

# =========================================================================== #
# === AsciiParadise.turtle
# =========================================================================== #
def self.turtle(commandline_arguments = ARGV)
  Turtle.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.turtle(ARGV) 
end # turtle