#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Volcano
#
# This ASCII-animation will show a Volcano that is about to erupt.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Volcano < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_delay(0.065)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Volcano
# =========================================================================== #
def self.Volcano
  Volcano
end

# =========================================================================== #
# === AsciiParadise.volcano
# =========================================================================== #
def self.volcano(commandline_arguments = ARGV)
  Volcano.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.volcano(ARGV) 
end # volcano