#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Whip
#
# This ASCII-animation will show a man with a whip.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Whip < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_delay(0.145)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Whip
# =========================================================================== #
def self.Whip
  Whip
end

# =========================================================================== #
# === AsciiParadise.whip
# =========================================================================== #
def self.whip(commandline_arguments = ARGV)
  Whip.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.whip(ARGV) 
end # whip