#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Worker
#
# This ASCII-animation will show a worker cutting his way through a
# stone block..
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Worker < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_delay(0.125)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Worker
# =========================================================================== #
def self.Worker
  Worker
end

# =========================================================================== #
# === AsciiParadise.worker
# =========================================================================== #
def self.worker(commandline_arguments = ARGV)
  Worker.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.worker(ARGV) 
end # worker