#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Worm
#
# This ASCII-animation will show a worm moving from left to right and then
# from right to left.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class Worm < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_delay(0.150)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.Worm
# =========================================================================== #
def self.Worm
  Worm
end

# =========================================================================== #
# === AsciiParadise.worm
# =========================================================================== #
def self.worm(commandline_arguments = ARGV)
  Worm.new(commandline_arguments)
end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.worm(ARGV) 
end # worm