#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::WristWatch
#
# This ASCII-animation will show a wrist watch.
# =========================================================================== #
require 'ascii_paradise/animation/animation.rb'

module AsciiParadise

class WristWatch < Animation

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = '')
    super()
    set_delay(0.600)
    load_animated_ascii_files_from_this_directory(__FILE__)
    menu(i) if i
    run if @run_already
  end

end

# =========================================================================== #
# === AsciiParadise.WristWatch
# =========================================================================== #
def self.WristWatch
  WristWatch
end

# =========================================================================== #
# === AsciiParadise.wrist_watch
# =========================================================================== #
def self.wrist_watch(commandline_arguments = ARGV)
  WristWatch.new(commandline_arguments)
end; self.instance_eval { alias wristwatch wrist_watch } # === AsciiParadise.wristwatch

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.wrist_watch(ARGV) 
end # wwatch