#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# The Separator will simply add a horizontal line to the table at hand.
# =========================================================================== #
require 'ascii_paradise/asciitable/toplevel_methods.rb'

module AsciiParadise

class AsciiTable

class Separator < Row

  # ========================================================================= #
  # === render
  # ========================================================================= #
  def render
    arr_x = (0...@table.number_of_columns).to_a.map { |i|
      n_characters = @table.column_width(i) + @table.cell_padding
      # ===================================================================== #
      # Do a horizontal spacer, via the '-' characters.
      # ===================================================================== #
      result = @table.style.border_x * n_characters
      if AsciiTable.use_colours?
        result = Colours.send(
          AsciiParadise::AsciiTable.use_which_colours?, result
        )
      end
      result
    }
    # ======================================================================= #
    # Next, we need to determine the border style. border_i means
    # '+' tokens.
    # ======================================================================= #
    border_i = @table.style.border_i
    # ======================================================================= #
    # Next we colour colourize this.
    # ======================================================================= #
    if AsciiTable.use_colours?
      border_i = Colours.send(
        AsciiParadise::AsciiTable.use_which_colours?, border_i
      )
    end
    result = border_i + arr_x.join(border_i) + border_i
    result
  end

end; end; end