#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::AsciiTable::TableHelper
# =========================================================================== #
module AsciiParadise

class AsciiTable

module TableHelper # The TableHelper module.

  # ======================================================================= #
  # === table
  #
  # Create a new table with this method. See the sample/ directory
  # containing code for this.
  #
  # The input header will be the left and right header. These will be
  # explicitly an Array.
  # ======================================================================= #
  def table(header = [], *rows, &block)
    unless header.is_a? Array
      header = header.to_a
    end
    # ===================================================================== #
    # Instantiate a new table next.
    # ===================================================================== #
    AsciiParadise::AsciiTable.new(
      headings: header,
      rows:     rows,
      &block
    )
  end

end; end; end