#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::AsciiTable
# =========================================================================== #
# require 'asciitable/toplevel_methods.rb'
# =========================================================================== #
module AsciiParadise

class AsciiTable # === AsciiParadise::AsciiTable

  require 'colours'

  # ========================================================================= #
  # === @use_this_colour
  # ========================================================================= #
  @use_this_colour = :slateblue

  # ========================================================================= #
  # === @use_colours
  # ========================================================================= #
  @use_colours = false

  # ========================================================================= #
  # === AsciiParadise::AsciiTable.disable_colours
  # ========================================================================= #
  def self.disable_colours
    @use_colours = false
  end

  # ========================================================================= #
  # === AsciiParadise::AsciiTable.enable_colours
  # ========================================================================= #
  def self.enable_colours
    @use_colours = true
  end

  # ========================================================================= #
  # === AsciiParadise::AsciiTable.use_colours?
  # ========================================================================= #
  def self.use_colours?
    @use_colours
  end

  # ========================================================================= #
  # === AsciiParadise::AsciiTable.use_which_colours?
  #
  # Currently hardcoded. Determines which colour to use.
  # ========================================================================= #
  def self.use_which_colours?
    @use_this_colour
  end

  # ========================================================================= #
  # === AsciiParadise::AsciiTable.use_this_colour
  # ========================================================================= #
  def self.use_this_colour(i)
    @use_this_colour = i
  end; self.instance_eval { alias use_this_colour= use_this_colour } # === AsciiTable.use_this_colour

end

# =========================================================================== #
# Add an "alias" called Table next.
# =========================================================================== #
Table = AsciiTable

end