#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/base/initialize.rb'
# =========================================================================== #
module AsciiParadise

class Base # === AsciiParadise::Base

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      optional_arguments = ARGV
    )
    register_sigint
    reset
    # ======================================================================= #
    # === Handle blocks given to us next
    # ======================================================================= #
    if block_given?
      yielded = yield
      if yielded.is_a? Hash 
        # =================================================================== #
        # === :run_n_times
        # =================================================================== #
        if yielded.has_key? :run_n_times
          set_run_n_times(yielded.delete(:run_n_times))
        end
        # =================================================================== #
        # === main_dir
        # =================================================================== #
        if yielded.has_key? :main_dir
          set_main_dir(yielded.delete(:main_dir))
        # =================================================================== #
        # === :animation_dir
        # =================================================================== #
        elsif yielded.has_key? :animation_dir
          set_main_dir(yielded.delete(:animation_dir))
        end
        # =================================================================== #
        # === :sleep_for_n_seconds
        # =================================================================== #
        if yielded.has_key? :sleep_for_n_seconds
          set_sleep_for_n_seconds(yielded.delete(:sleep_for_n_seconds))
        end
      else # Else assume a Symbol.
        case yielded
        # =================================================================== #
        # Prevent instant running.
        # =================================================================== #
        when :do_not_run_already,
             :do_not_run_yet
          do_not_run_already
        end
      end
    end
  end

end; end