#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/constants/misc.rb'
# =========================================================================== #
require 'ascii_paradise/constants/unicode_symbols.rb'

module AsciiParadise

  # ========================================================================= #
  # === N
  # ========================================================================= #
  N = "\n"

  # ========================================================================= #
  # === R
  # ========================================================================= #
  R = "\r"

  # ========================================================================= #
  # === HOME_DIRECTORY_OF_THE_USER_X
  # ========================================================================= #
  HOME_DIRECTORY_OF_THE_USER_X = '/home/x/'

  # ========================================================================= #
  # === SLEEP_FOR_N_SECONDS
  # ========================================================================= #
  SLEEP_FOR_N_SECONDS = 0.40

  # ========================================================================= #
  # === CLEAR_COMMAND
  # ========================================================================= #
  CLEAR_COMMAND = "\033[2J"

  # ========================================================================= #
  # === DEFAULT_COLOUR_TO_USE
  # ========================================================================= #
  DEFAULT_COLOUR_TO_USE = :mediumseagreen

  # ========================================================================= #
  # === ARRAY_SAY_CONSTANTS
  #
  # The names here correspond to .ascii files. For instance, there will
  # be a file called "cat_in_the_hat.ascii", in the subdirectory 
  # ascii_say/.
  #
  # Sort this Array alphabetically.
  # ========================================================================= #
  ARRAY_SAY_CONSTANTS = %w(
    alien
    buddha
    cat_in_the_hat
    cowsay
    dome_tent
    flower_decoration
    knight
    sexy_angel
    ponysay
    wizard
  )

  # ========================================================================= #
  # === AsciiParadise::REGISTERED_CLASS_METHODS
  #
  # Register all class methods that can be used via .random here.
  # ========================================================================= #
  REGISTERED_CLASS_METHODS = %w(
    animated_clock
    animated_pacman
    animated_progress_bar
    animated_duck
    ascii_circle
    ascii_counter
    ascii_box
    ascii_heart
    ascii_volcano
    attractive_lady
    beautiful_pattern
    bubble_dragon
    dancing_girl
    mona_lisa
    pony_generator
    pink_panther
    progress_bar
    rotating_slash
    rotating_dna
    seductive_lady
    sierpinski_triangle
    swimming_lane
    static_pacman
    table_flip
    ascii_earth
    ascii_steamer
    ascii_hourglass
    ascii_moth
    ascii_turtle
    ascii_station_traffic
    ascii_running_man
    ascii_genie
    ascii_spider
    ascii_bunnycat
    ascii_bunnies
    ascii_fireworks
    ascii_diver
    ascii_good_morning
    ascii_gargoyle
    ascii_endless_runner
    ascii_chopper
  )

end