#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# Methods and attributes stored here reside under the module
# AsciiParadise namespace.
# =========================================================================== #
# require 'ascii_paradise/debug/debug.rb'
# =========================================================================== #
module AsciiParadise

  # ========================================================================= #
  # === @debug
  # ========================================================================= #
  @debug = false

  # ========================================================================= #
  # === AsciiParadise.debug?
  #
  # Query the debug value here.
  # ========================================================================= #
  def self.debug?
    @debug
  end

  # ========================================================================= #
  # === AsciiParadise.disable_debug
  # ========================================================================= #
  def self.disable_debug
    @debug = false
  end

  # ========================================================================= #
  # === AsciiParadise.enable_debug
  #
  # The first argument determines whether we will give a notification to
  # the user, when he wants to have it. By default, no notification will
  # be made, to lessen the noise-level.
  #
  # This method will enable debug all across the AsciiParadise components.
  # ========================================================================= #
  def self.enable_debug(
      optional_be_verbose = false
    )
    case optional_be_verbose
    when :be_verbose
      optional_be_verbose = true
    end
    if optional_be_verbose
      e 'We will now debug when we run code from the AsciiParadise project.'
    end
    @debug = true
  end

end