#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/demo/demo.rb'
# =========================================================================== #
require 'ascii_paradise/colours/colours.rb'
require 'ascii_paradise/toplevel_methods/e.rb'
require 'ascii_paradise/requires/require_static_ascii_files.rb'
require 'ascii_paradise/animations/counter.rb'
require 'ascii_paradise/animations/animated_progress_bar.rb'

module AsciiParadise

  # ========================================================================= #
  # === AsciiParadise.demo                               (demo tag, test tag)
  #
  # We can use this method to demo what the AsciiParadise is capable
  # of doing.
  # ========================================================================= #
  def self.demo(delay = 12) # 12 Seconds between individual runs.
    if delay.is_a? Hash
      if delay.has_key? :delay
        delay = delay.delete :delay
      end
    end
    e 'We will next test the various components of the AsciiParadise project.'
    e
    e 'We will display a short header to explain which component we will test.'
    e
    e 'Next we test '+sfancy('AsciiParadise.seductive_lady')+':'
    AsciiParadise.seductive_lady
    e 'Next we test '+sfancy('AsciiParadise.attractive_lady')+':'
    AsciiParadise.attractive_lady
    # ======================================================================= #
    # === Next, show the Mona Lisa, as ASCII art.
    # ======================================================================= #
    e 
    e 'Next, we show the Mona Lisa, via AsciiParadise.mona_lisa'
    e AsciiParadise.mona_lisa
    e
    # ======================================================================= #
    # === Next, showing the pink panther.
    # ======================================================================= #
    e
    e 'Next, showing the the pink panther:'
    AsciiParadise.pink_panther
    e
    e 'Next we try '+sfancy('AsciiParadise.ascii_counter')+':'
    AsciiParadise.ascii_counter(delay)
    e # Need this newline here.
    e 'Next we test '+sfancy('AsciiParadise.ascii_box')+':'
    AsciiParadise.ascii_box ['Hello World!', 'what a big world']
    e 'Next we test '+sfancy('AsciiParadise.draw_heart')+':'
    AsciiParadise.draw_heart size: 25
    e 'Next we test '+sfancy('AsciiParadise.sierpinski_triangle (size: 25)')+':'
    AsciiParadise.sierpinski_triangle size: 25
    e 'Next we test '+sfancy('AsciiParadise.beautiful_pattern')+':'
    AsciiParadise.beautiful_pattern
    e
    e 'Next we test '+sfancy('AsciiParadise.ascii_circle')+': (radius will be 25)'
    AsciiParadise.ascii_circle(25)
    e
    e 'Next we test AsciiParadise.progress_bar:'
    AsciiParadise.progress_bar
    e
    e 'Next we test AsciiParadise.rotating_slash:'
    AsciiParadise.rotating_slash
    e 'Next we test AsciiParadise.rotating_dna :dna:'
    AsciiParadise.rotating_dna :dna
    e
    e 'Next we test AsciiParadise.rotating_dna :star:'
    AsciiParadise.rotating_dna :star
    # =========================================================================== #
    # === ASCII Animations
    #
    # At this point come the various ASCII-animations.
    # =========================================================================== #
    e 'Next we test AsciiParadise.volcano:'
    AsciiParadise.volcano {{ run_n_times: 10 }} # Run 10 times.
    e 'Next we test AsciiParadise.earth:'
    AsciiParadise.earth   {{ run_n_times:  6 }}
    e 'Next we test AsciiParadise.steamer:'
    AsciiParadise.steamer {{ run_n_times:  6 }}
    e 'Next we test AsciiParadise.animated_clock:'
    AsciiParadise.animated_clock {{ run_n_times: 10 }} # Run 10 times.
    e 'Next we test AsciiParadise.bubble_dragon:'
    AsciiParadise.bubble_dragon_animation
    e 'Next we test AsciiParadise.swimming_lane:'
    AsciiParadise.swimming_lane
    e 'Next we test AsciiParadise.animated_cigarette:'
    AsciiParadise.animated_cigarette
    e 'Next we test AsciiParadise.animated_pacman:'
    AsciiParadise.animated_pacman
    e 'Next we test AsciiParadise.animated_duck:'
    AsciiParadise.animated_duck
    e 'Next testing animated progress bar'
    AsciiParadise.animated_progress_bar
    e 'Next we test AsciiParadise.dancing_girl (we will wait 8 seconds before doing so):'
    sleep delay
    AsciiParadise.dancing_girl
    # Pacman-dance also blocks the screen.
    e 'Next we test AsciiParadise.static_pacman:'
    AsciiParadise.static_pacman
    e 'Next, table flip:'
    AsciiParadise.table_flip
  end; self.instance_eval { alias run_demo demo } # === AsciiParadise.run_demo

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.demo
end