#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::GUI::Gtk::AnimatedFrame
#
# This widget is built around two basic ideas:
#
#   (a) to have a combobox entry that shows the names of the ascii
#       components that are part of the AsciiParadise namespace.
#
#   (b) to display the active frame within an upper text view.
#
# Although the widget can be run "standalone", as the last part
# of this file here demonstrates, this is fairly pointless: the
# primary use case for this widget exists so that it can be
# embedded INTO other, larger ruby-gtk widgets.
# =========================================================================== #
# require 'ascii_paradise/gui/gtk/animated_frame.rb'
# AsciiParadise::GUI::Gtk::AnimatedFrame.new
# =========================================================================== #

# =========================================================================== #
# Load up important files from the gtk_paradise gem:
# =========================================================================== #
require 'gtk_paradise/require_gtk2'

module AsciiParadise

module GUI

module Gtk

class AnimatedFrame < ::Gtk::VBox

  require 'gtk_paradise/requires/require_the_base_module.rb'
  include ::Gtk::BaseModule

  require 'ascii_paradise/gui/shared_code/animated_frame/animated_frame_module.rb'
  include ::AsciiParadise::GUI::Gtk::AnimatedFrameModule

  # ========================================================================= #
  # === AsciiParadise::GUI::Gtk::AnimatedFrame.run
  # ========================================================================= #
  def self.run
    AsciiParadise::GUI::Gtk::AnimatedFrameModule.run
  end

end; end; end; end
 
if __FILE__ == $PROGRAM_NAME
  AsciiParadise::GUI::Gtk::AnimatedFrame.run
end # aparadise_gui