#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::GUI::Gtk::AnimatedFrameConstants
# =========================================================================== #
# require 'ascii_paradise/gui/shared_code/animated_frame/animated_frame_constants.rb'
# include ::AsciiParadise::GUI::Gtk::AnimatedFrameConstants
# =========================================================================== #
module AsciiParadise

module GUI

module Gtk

module AnimatedFrameConstants

  # ========================================================================= #
  # === TITLE
  # ========================================================================= #
  TITLE = 'Animated ASCII components'

  # ========================================================================= #
  # === DEFAULT_TITLE_FOR_THE_START_BUTTON
  # ========================================================================= #
  DEFAULT_TITLE_FOR_THE_START_BUTTON = '⬅️ Run this ascii component'

  # ========================================================================= #
  # === WIDTH
  # ========================================================================= #
  WIDTH = 1540

  # ========================================================================= #
  # === HEIGHT
  # ========================================================================= #
  HEIGHT = 1000

  # ========================================================================= #
  # === DEFAULT_RUN_N_TIMES
  #
  # How many times to run the animation fully. I keep this set to 1
  # so that the default state means to iterate over the dataset only
  # once, and then stop. The user can change this via a gtk-entry
  # setpoint.
  # ========================================================================= #
  DEFAULT_RUN_N_TIMES = 5

  # ========================================================================= #
  # === DEFAULT_DELAY
  # ========================================================================= #
  DEFAULT_DELAY = 0.080 # in seconds, aka 0.080 seconds, aka 80 milliseconds.

  # ========================================================================= #
  # === FONT_SIZE
  # ========================================================================= #
  FONT_SIZE = '19'

end; end; end; end