#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/project/project.rb'
# AsciiParadise::PROJECT_BASE_DIRECTORY
# =========================================================================== #
module AsciiParadise

  # ========================================================================= #
  # === AsciiParadise::PROJECT_BASE_DIRECTORY
  # ========================================================================= #
  PROJECT_BASE_DIRECTORY =
    File.absolute_path("#{__dir__}/..")+'/'

  # ========================================================================= #
  # === AsciiParadise.project_base_dir?
  # ========================================================================= #
  def self.project_base_dir?
    PROJECT_BASE_DIRECTORY
  end; self.instance_eval {
    alias project_base_directory? project_base_dir?
  } # === AsciiParadise.project_base_directory?

  # ========================================================================= #
  # === AsciiParadise.template_directory?
  #
  # Where we store the .txt files that can be used for cartoon-like
  # speaking.
  # ========================================================================= #
  def self.template_directory?
    "#{::AsciiParadise.project_base_directory?}ascii_say/"
  end

  # ========================================================================= #
  # === AsciiParadise.animations_directory?
  #
  # Where all animations will be kept.
  # ========================================================================= #
  def self.animations_directory?
    "#{project_base_directory?}animations/"
  end; self.instance_eval { alias data_dir?                animations_directory? } # === AsciiParadise.data_dir?
       self.instance_eval { alias animations_dir?          animations_directory? } # === AsciiParadise.animations_dir?
       self.instance_eval { alias animations_subdirectory? animations_directory? } # === AsciiParadise.animations_subdirectory?

  # ========================================================================= #
  # === AsciiParadise.static_ascii?
  #
  # This method may resolve to a path such as:
  #
  #   "/Programs/Ruby/2.6.3/lib/ruby/site_ruby/2.6.0/ascii_paradise/static_ascii/"
  #
  # ========================================================================= #
  def self.static_ascii?
    "#{::AsciiParadise.project_base_directory?}static_ascii/"
  end; self.instance_eval { alias static_ascii_directory? static_ascii? } # === AsciiParadise.static_ascii_directory?
       self.instance_eval { alias static_dir?             static_ascii? } # === AsciiParadise.static_dir?

end