#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/requires/require_animations_files.rb'
# AsciiParadise.initialize_the_animated_ascii_components
# =========================================================================== #
require 'ascii_paradise/project/project.rb'

module AsciiParadise

  # ========================================================================= #
  # === @have_the_animations_files_been_required
  # ========================================================================= #
  @have_the_animations_files_been_required = false

  # ========================================================================= #
  # === AsciiParadise.have_the_animations_files_been_required?
  # ========================================================================= #
  def self.have_the_animations_files_been_required?
    @have_the_animations_files_been_required
  end

  # ========================================================================= #
  # === AsciiParadise.initialize_the_animated_ascii_components
  #
  # This method will initialize all the animated ASCII components,
  # but only if this has not yet been done.
  # ========================================================================= #
  def self.initialize_the_animated_ascii_components
    unless @have_the_animations_files_been_required
      require_animations_files
    end
  end; self.instance_eval { alias initialize_animated_ascii_components initialize_the_animated_ascii_components } # === AsciiParadise.initialize_animated_ascii_components

  # ========================================================================= #
  # === AsciiParadise.require_animations_files
  # ========================================================================= #
  def self.require_animations_files
    # ======================================================================= #
    # Pull in all the subcomponents within the "ascii_paradise/animations/"
    # directory next.
    # ======================================================================= #
    Dir["#{project_base_dir?}animations/*.rb"].each {|file|
      require "ascii_paradise/animations/#{File.basename(file)}"
    }
    @have_the_animations_files_been_required = true
  end

end