#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::BeautifulPattern
# =========================================================================== #
module AsciiParadise

class BeautifulPattern # === AsciiParadise::BeautifulPattern

  include Math

  # ========================================================================= #
  # === START_POINT
  # ========================================================================= #
  START_POINT = -10

  # ========================================================================= #
  # === END_POINT
  # ========================================================================= #
  END_POINT   =  30

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(run_already = true)
    run if run_already
  end

  # ========================================================================= #
  # === run
  # ========================================================================= #
  def run
    (START_POINT..END_POINT).each {|counter|
      s = ''.dup # This is the build-string.
      (26..100).each {|x| s << ' .,:+*%xX08@'[
      ((sin(x/8.0)+2+sin(counter * x/2.0)) ** \
       (sin(counter/7.0)+1) * 12/16.0)]}
      puts s
    }
  end

end

  # ========================================================================= #
  # === AsciiParadise.beautiful_pattern
  # ========================================================================= #
  def self.beautiful_pattern
    AsciiParadise::BeautifulPattern.new
  end

  # ========================================================================= #
  # === AsciiParadise.BeautifulPattern
  # ========================================================================= #
  def self.BeautifulPattern
    AsciiParadise::BeautifulPattern
  end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise::BeautifulPattern.new
end # beautiful_pattern