#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::ColourfulFlowers
#
# Usage example:
#   AsciiParadise::ColourfulFlowers.new
# =========================================================================== #
require 'ascii_paradise/base/base.rb'

module AsciiParadise

class ColourfulFlowers < Base # === AsciiParadise::ColourfulFlowers

  # ========================================================================= #
  # === AsciiParadise::COLOURFUL_FLOWERS
  # ========================================================================= #
  COLOURFUL_FLOWERS = File.read("#{::AsciiParadise.static_dir?}colourful_flowers.ascii")

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize
    super()
    run
  end

  # ========================================================================= #
  # === run                                                         (run tag)
  # ========================================================================= #
  def run
    COLOURFUL_FLOWERS.lines.each { |line|
      e colour_parse_this_string(line)
    }
  end

  # ========================================================================= #
  # === ColourfulFlowers.run
  # ========================================================================= #
  def self.run
    ColourfulFlowers.new
  end

end

  # ========================================================================= #
  # === AsciiParadise.colourful_flowers
  # ========================================================================= #
  def self.colourful_flowers
    AsciiParadise::ColourfulFlowers.run
  end; self.instance_eval { alias colourfulflowers colourful_flowers } # === AsciiParadise.colourfulflowers
       self.instance_eval { alias beautiful_flower colourful_flowers } # === AsciiParadise.beautiful_flower

  # ========================================================================= #
  # === AsciiParadise.ColourfulFlowers
  # ========================================================================= #
  def self.ColourfulFlowers
    AsciiParadise::ColourfulFlowers
  end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise::ColourfulFlowers.run
end # colourful_flowers