#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === AsciiParadise::Ponies
#
# We will randomly generate a pony.
# =========================================================================== #
require 'ascii_paradise/base/base.rb'

module AsciiParadise

class Ponies < Base # === AsciiParadise::Ponies

  # ========================================================================= #
  # === SEPARATOR
  #
  # In order for this separator-constant to work, the file needs to 
  # have at the least two "\n\n" in series.
  # ========================================================================= #
  SEPARATOR = "\n\n" # We split on this token.

  # ========================================================================= #
  # === FILE_PONIES
  # ========================================================================= #
  FILE_PONIES = "#{::AsciiParadise.static_dir?}ponies.ascii"

  # ========================================================================= #
  # === AsciiParadise::ALL_PONIES
  #
  # Obtain all ponies next.
  # ========================================================================= #
  ALL_PONIES = File.readlines(
    FILE_PONIES, SEPARATOR
  )

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize
    super()
    puts ALL_PONIES.sample # Obtain a random pony. .readlines() will use "\n\n" as splitter.
  end

end

  # ========================================================================= #
  # === AsciiParadise.ponyies
  # ========================================================================= #
  def self.ponies
    AsciiParadise::Ponies.new
  end

  # ========================================================================= #
  # === AsciiParadise.Ponies
  # ========================================================================= #
  def self.Ponies
    AsciiParadise::Ponies
  end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise::Ponies.new  
end # ponies