#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module AsciiParadise

class StaticPacman # AsciiParadise::StaticPacman

  # ========================================================================= #
  # === PACMAN_WIDTH
  # ========================================================================= #
  PACMAN_WIDTH = 12

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      run_already = true
    )
    run if run_already
  end

  # ========================================================================= #
  # === return_proper_width
  # ========================================================================= #
  def return_proper_width
    (-PACMAN_WIDTH .. PACMAN_WIDTH)
  end

  # ========================================================================= #
  # === atan2
  # ========================================================================= #
  def atan2(a, b)
    Math.atan2(a,b)
  end

  # ========================================================================= #
  # === run
  # ========================================================================= #
  def run
    (-10 .. 10).each { |y|
      _ = ''.dup
      return_proper_width.each {|x| 
        _ << ( x ** 2 + y ** 2 < 11 ** 2 && atan2(y,x) < Math::PI * 0.8 && atan2(y,x) >- Math::PI * 0.8 && x ** 2+(y+6) ** 2>1 ? '@':' ') * 2
      }
      puts _
    }
  end

end

  # ========================================================================= #
  # === AsciiParadise.StaticPacman
  # ========================================================================= #
  def self.StaticPacman
    AsciiParadise::StaticPacman
  end

  # ========================================================================= #
  # === AsciiParadise.static_pacman
  # ========================================================================= #
  def self.static_pacman
    AsciiParadise::StaticPacman.new
  end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.static_pacman
end # static_pacman