#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/table/table.rb'
# =========================================================================== #
module AsciiParadise

  # ========================================================================= #
  # === AsciiParadise.table
  #
  # This method will show a simple ASCII Table of the given input.
  #
  # The input to this method should be an Array or just several strings.
  #
  # Usage example:
  #
  #   AsciiParadise.table 'hello','world','john', 'doe'
  #
  # ========================================================================= #
  def self.table(*dataset)
    chunk = dataset.each_slice(2).to_a
    line = '# =========================================================== #'
    e line
    chunk.each {|array|
      _ = array[0].rjust(28)+' | '+array[1].ljust(28)
      e '# '+_+' #'
    }
    e line
  end

end