#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/toplevel_methods/colour_parse_this_string.rb'
# puts AsciiParadise.colour_parse_this_string(ARGV)
# =========================================================================== #
# require 'ascii_paradise/toplevel_methods/colour_parse_this_string.rb'
# =========================================================================== #
module AsciiParadise

  require 'ascii_paradise/colours/colours.rb'

  # ========================================================================= #
  # === AsciiParadise.colour_parse_this_string
  #
  # This method can take an existing String and replace all html colour
  # tags, such as <steelblue>, with the corresponding ASCII escape
  # code, on the commandline.
  # ========================================================================= #
  def self.colour_parse_this_string(i)
    if i.is_a? Array
      i = i.first
    end
    if i and File.file?(i)
      i = File.readlines(i)
    end
    if i.is_a? String
      i = i.split("\n")
    end
    i.map! {|entry|
      if ::Colours.does_this_line_include_a_html_colour?(entry)
        # =================================================================== #
        # The line contains a HTML colour, so let's parse it.
        # =================================================================== #
        entry = ::Colours.replace_all_html_colours_in_this_line(entry, :default, :revert)
      end
      entry
    }
    if i.is_a? Array
      i = i.join
    end
    i
  end

end

if __FILE__ == $PROGRAM_NAME
  puts AsciiParadise.colour_parse_this_string(ARGV)
end # rb colour_parse_this_string.rb /Depot/j/colourful_flowers.ascii