#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/toplevel_methods/misc.rb'
# =========================================================================== #
require 'ascii_paradise/constants/constants.rb'
require 'ascii_paradise/project/project.rb'
require 'ascii_paradise/toplevel_methods/clear_screen.rb'
require 'ascii_paradise/toplevel_methods/register_sigint.rb'

module AsciiParadise

  # ========================================================================= #
  # === AsciiParadise.include_this_file?
  #
  # This method can be used to determine whether we do include a specific
  # file. Any '-' tokens in the input will be ignored, thus allowing you
  # to more easily search for the name of the file at hand.
  #
  # Usage example:
  #
  #   AsciiParadise.include_this_file? '--endless_runner'
  #   AsciiParadise.include_this_file? '--volcano' # => true
  #
  # ========================================================================= #
  def self.include_this_file?(i)
    i = File.basename(i.to_s.delete('-'))
    files = Dir[project_base_dir?+'animations/*.rb'].map {|entry|
      File.basename(entry)
    }
    files.any? {|filename| filename.include? i }
  end

end