#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/toplevel_methods/register_sigint.rb'
# =========================================================================== #
require 'ascii_paradise/toplevel_methods/e.rb'

module AsciiParadise

  # ========================================================================= #
  # === @show_this_message_on_exit
  # ========================================================================= #
  @show_this_message_on_exit = nil

  # ========================================================================= #
  # === AsciiParadise.register_sigint
  # ========================================================================= #
  def self.register_sigint(
      show_this_message_on_exit = @show_this_message_on_exit
    )
    Signal.trap('SIGINT') {
      if show_this_message_on_exit
        e show_this_message_on_exit
      end
      exit
    }
  end

end