#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/toplevel_methods/run_class_based_on_this_filename.rb'
# =========================================================================== #
require 'ascii_paradise/toplevel_methods/run_this_animated_component.rb'

module AsciiParadise

  # ========================================================================= #
  # === AsciiParadise.run_class_based_on_this_filename
  #
  # This method should only be called after a prior call to
  # AsciiParadise.include_this_file?().
  # ========================================================================= #
  def self.run_class_based_on_this_filename(i)
    if i.is_a? Array
      i = i.first
    end
    # ======================================================================= #
    # First, obtain the proper filename.
    # ======================================================================= #
    i = File.basename(i.to_s.delete('-'))
    i.sub!(/#{File.extname(i)}$/,'')
    run_this_animated_component(i)
  end

end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise.run_class_based_on_this_filename(ARGV)
end # run_class_based_on_this_filename $USERS/x/DATA/PROGRAMMING_LANGUAGES/RUBY/src/ascii_paradise/lib/ascii_paradise/animations/endless_runner.rb