#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/toplevel_methods/sort_files.rb'
# AsciiParadise.sort_files
# =========================================================================== #
module AsciiParadise

  # ========================================================================= #
  # === AsciiParadise.sort_files
  #
  # This module-method will keep the files stored in the animations/
  # subdirectory properly sorted, from 01 etc.. to 100 and so on.
  #
  # It will use a regex in order to achieve this.
  # ========================================================================= #
  def self.sort_files(sort_these_files)
    sort_these_files.sort_by! {|entry|
      regex = /\/.+_(\d+).ascii$/ # See: http://rubular.com/r/9UfgCczgPi
      entry =~ regex
      number_value = $1.to_s.dup
      number_value.to_i
    }
  end

end