#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'ascii_paradise/toplevel_methods/to_camelcase.rb'
# =========================================================================== #
module AsciiParadise

  # ========================================================================= #
  # === AsciiParadise.to_camelcase
  #
  # This will camelcase the given input, from 'rubber_duck' to 'RubberDuck'.
  # ========================================================================= #
  def self.to_camelcase(i)
    if i.is_a? Array
      i = i.first
    end
    if i
      if i.include? '_'
        return i.to_s.split('_').map { |_| _.capitalize }.join
      else
        i = i.dup if i.frozen?
        i[0] = i[0].upcase
      end
    end
    i
  end

end

if __FILE__ == $PROGRAM_NAME
  puts AsciiParadise.to_camelcase(ARGV)
end # rb to_camelcase.rb rubber_duck
    # rb to_camelcase.rb turtle