#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file contains ruby code for drawing a double-barder UNICODE
# box.
# =========================================================================== #
# require 'ascii_paradise/unicode/double_border.rb'
# =========================================================================== #
require 'ascii_paradise/toplevel_methods/e.rb'

module AsciiParadise

module Unicode

  # ========================================================================= #
  # === AsciiParadise::Unicode.ee
  # ========================================================================= #
  def self.ee(i = '')
    print i
  end

  # ========================================================================= #
  # === AsciiParadise::Unicode.e
  # ========================================================================= #
  def self.e(i = '')
    ::AsciiParadise.e(i)
  end

  require 'ascii_paradise/constants/unicode_symbols.rb'
  # ========================================================================= #
  # === AsciiParadise::Unicode.draw_double_border_box
  #
  # This method can be used to draw a double-border box.
  # ========================================================================= #
  def self.draw_double_border_box(
      width               = 20,
      height              = 20,
      left_padding_to_use = '  '
    )
    if width.is_a?(Array) and width.empty?
      width = 20
    end
    height.times {|position|
      case position
      when 0
        token = UNICODE_DOUBLE_BORDER_TOP_LEFT
      else
        if (position+1 == height)
          token = UNICODE_DOUBLE_BORDER_BOTTOM_LEFT
        else
          token = UNICODE_DOUBLE_BORDER_VERTICAL
        end
      end
      print left_padding_to_use
      ee token
      calculated_width = width * 2
      calculated_width.times {|width_position|
        case position
        when 0
          print UNICODE_DOUBLE_BORDER_HORIZONTAL
        else
          if (position+1 == height)
            print UNICODE_DOUBLE_BORDER_HORIZONTAL
          else
            print ' '
          end
        end
        if (width_position+1 == calculated_width)
          if position == 0
            print UNICODE_DOUBLE_BORDER_TOP_RIGHT
          elsif position == (calculated_width/2-1)
            print UNICODE_DOUBLE_BORDER_BOTTOM_RIGHT
          else
            print UNICODE_DOUBLE_BORDER_VERTICAL
          end
        end
      }
      e
    }
  end

end; end

if __FILE__ == $PROGRAM_NAME
  AsciiParadise::Unicode.draw_double_border_box(ARGV)
end # doubleborder